<?php

namespace Drupal\bulksms;

class BulkSmsCurl implements BulkSmsHttpInterface {
  private $handle = null;

  public function init($url) {
    if ($this->handle) {
      $this->close();
    }

    $this->handle = curl_init($url);
  }

  public function setOption(int $opt, $value) {
    curl_setopt($this->handle, $opt, $value);
  }

  public function execute() {
    return curl_exec($this->handle);
  }

  public function getInfo() {
    return curl_getinfo($this->handle);
  }

  public function getError() {
    return curl_error($this->handle);
  }

  public function close() {
    curl_close($this->handle);
    $this->handle = NULL;
  }
}
